Subject: Re: [regext] I-D Action: draft-ietf-regext-rdap-object-tag-00.txt

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 12 Feb 2018 14:29:02 +0000

> -----Original Message-----
> From: regext [mailto:[email-masked]] On Behalf Of internet-
> [email-masked]
> Sent: Tuesday, January 16, 2018 8:50 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [EXTERNAL] [regext] I-D Action: draft-ietf-regext-rdap-object-
> tag-00.txt
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Registration Protocols Extensions WG of
> the IETF.
>
>         Title           : Registration Data Access Protocol (RDAP) Object
> Tagging
>         Authors         : Scott Hollenbeck
>                           Andrew Lee Newton
>       Filename        : draft-ietf-regext-rdap-object-tag-00.txt
>       Pages           : 12
>       Date            : 2018-01-16

There's been no comment on this document in the month since it was noted on this list. Does anyone have anything to say about the proposed practice?

Scott

---

From: Bernhard Reutner-Fischer <[email-masked]>
Date: Mon, 12 Feb 2018 22:34:39 +0100

On 12 February 2018 15:29:02 CET, "Hollenbeck, Scott" <[email-masked]> wrote:
>There's been no comment on this document in the month since it was
>noted on this list. Does anyone have anything to say about the proposed
>practice?

Isn't a separate tag registry redundant wrt the existing ROID-suffix registry? 

thanks,

---

From: Patrick Mevzek <[email-masked]>
Date: Tue, 13 Feb 2018 06:57:36 +0100

On Mon, Feb 12, 2018, at 15:29, Hollenbeck, Scott wrote:

> There's been no comment on this document in the month since it was noted 
> on this list. Does anyone have anything to say about the proposed 
> practice?

I have not specifically commented this version, but all my old comments apply to it the same way and the previous thread ended with clear positions on both side so I do not think there is anything to rehash.

In short,
I am happy if current practice is documented, as such.
(It would however have been great seeing more support from other RDAP server operators)

I am not happy to have that set as a new standard/recommendation.
(and even less by the ~ character choice, but this is bikeshedding deriving from what I think is the core problem: putting structure inside a non structured element while all the surroundings being JSON is structured).

-- 
  Patrick Mevzek
  [email-masked]

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 13 Feb 2018 12:12:45 +0000

> From: Bernhard Reutner-Fischer [mailto:[email-masked]]
> Sent: Monday, February 12, 2018 4:35 PM
> To: [email-masked]; Hollenbeck, Scott <[email-masked]>;
> [email-masked]' <[email-masked]>
> Subject: [EXTERNAL] Re: [regext] I-D Action: draft-ietf-regext-rdap-
> object-tag-00.txt
>

No, because not all RDAP server operators register ROIDs. Address registries and registrars, for example, don't register ROIDs - but they may want to run RDAP servers.

Scott

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 13 Feb 2018 12:16:53 +0000

> From: regext [mailto:[email-masked]] On Behalf Of Patrick Mevzek
> Sent: Tuesday, February 13, 2018 12:58 AM
> To: [email-masked]
> > noted on this list. Does anyone have anything to say about the
> > proposed practice?
>
> I have not specifically commented this version, but all my old comments
> apply to it the same way and the previous thread ended with clear
> positions on both side so I do not think there is anything to rehash.
>
> In short,

Agreed, which is why I'm trying to get some discussion going. Folks, if you're either running an RDAP service or planning to do so in the future it would be very helpful to talk through this proposal.

Scott

---

From: Andrew Newton <[email-masked]>
Date: Wed, 14 Feb 2018 14:48:09 -0500

> Agreed, which is why I'm trying to get some discussion going. Folks, if you're either running an RDAP service or planning to do so in the future it would be very helpful to talk through this propos…

Well, we discussed this in Chicago and there seemed to be pretty good
feedback. As both an operator and a client author I like this idea
(even if I'm not wild about the tilde character). Having a standard
short cut to say "this is meant for the XXX registry" would be
beneficial to clients, even if server operators don't actually append
the tags to their objects. I've thought about cludging something
together for NicInfo using the existing IANA .json files, but having a
formal registry would be much better.

-andy

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 20 Feb 2018 18:20:59 +0000

> From: Andrew Newton [mailto:[email-masked]]
> Sent: Wednesday, February 14, 2018 2:48 PM
> To: Hollenbeck, Scott <[email-masked]>
> Cc: [email-masked]; [email-masked]
> > Agreed, which is why I'm trying to get some discussion going. Folks, if
> you're either running an RDAP service or planning to do so in the future
> it would be very helpful to talk through this proposal.
>
> feedback. As both an operator and a client author I like this idea (even
> if I'm not wild about the tilde character). Having a standard short cut to
> say "this is meant for the XXX registry" would be beneficial to clients,
> even if server operators don't actually append the tags to their objects.
> I've thought about cludging something together for NicInfo using the
> existing IANA .json files, but having a formal registry would be much
> better.

Building on Andy's comment...

It may help to explain (perhaps even in the document) where the tilde character came from. I didn't want to use a character with a URI-reserved value, so that led to looking at the list of unreserved characters from Section 2.3 of RFC 3986. Here's the description:

unreserved  = ALPHA / DIGIT / "-" / "." / "_" / "~"

ALPHA and DIGIT are out because they are commonly used in the identifiers themselves. I'm pretty sure, but not 100% certain, that "-" (HYPHEN MINUS) falls into the same category, which is why I changed from using that character between the -00 and -01 versions of the individual submission version of this document. That leaves ".", "_", or "~". If any one of these is better than the others I'm perfectly willing to make a change.

Scott